/**
 * 7 Segment Display definitionen
 *
 * @author Andreas Butti
 */

#ifndef DISPLAY_H_
#define DISPLAY_H_

#define DISP7SEG_PART_a (1 << 0)
#define DISP7SEG_PART_b (1 << 1)
#define DISP7SEG_PART_c (1 << 2)
#define DISP7SEG_PART_d (1 << 3)
#define DISP7SEG_PART_e (1 << 4)
#define DISP7SEG_PART_f (1 << 5)
#define DISP7SEG_PART_g (1 << 6)

#define DISP7SEG_CHAR_0 (DISP7SEG_PART_a | DISP7SEG_PART_b | DISP7SEG_PART_c | DISP7SEG_PART_d | DISP7SEG_PART_e | DISP7SEG_PART_f)
#define DISP7SEG_CHAR_1 (DISP7SEG_PART_b | DISP7SEG_PART_c)
#define DISP7SEG_CHAR_2 (DISP7SEG_PART_a | DISP7SEG_PART_b | DISP7SEG_PART_d | DISP7SEG_PART_e | DISP7SEG_PART_g)
#define DISP7SEG_CHAR_3 (DISP7SEG_PART_a | DISP7SEG_PART_b | DISP7SEG_PART_c | DISP7SEG_PART_d | DISP7SEG_PART_g)
#define DISP7SEG_CHAR_4 (DISP7SEG_PART_b | DISP7SEG_PART_c | DISP7SEG_PART_f | DISP7SEG_PART_g)
#define DISP7SEG_CHAR_5 (DISP7SEG_PART_a | DISP7SEG_PART_c | DISP7SEG_PART_d | DISP7SEG_PART_f | DISP7SEG_PART_g)
#define DISP7SEG_CHAR_6 (DISP7SEG_PART_a | DISP7SEG_PART_c | DISP7SEG_PART_d | DISP7SEG_PART_e | DISP7SEG_PART_f | DISP7SEG_PART_g)
#define DISP7SEG_CHAR_7 (DISP7SEG_PART_a | DISP7SEG_PART_b | DISP7SEG_PART_c)
#define DISP7SEG_CHAR_8 (DISP7SEG_PART_a | DISP7SEG_PART_b | DISP7SEG_PART_c |  DISP7SEG_PART_d | DISP7SEG_PART_e | DISP7SEG_PART_f | DISP7SEG_PART_g)
#define DISP7SEG_CHAR_9 (DISP7SEG_PART_a | DISP7SEG_PART_b | DISP7SEG_PART_c |  DISP7SEG_PART_d | DISP7SEG_PART_f | DISP7SEG_PART_g)

uint8_t getDigit(uint8_t digit);

#endif /* DISPLAY_H_ */
